[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[RHSA-2019:2280-01] Moderate: uriparser security update



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: uriparser security update
Advisory ID:       RHSA-2019:2280-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2019:2280
Issue date:        2019-08-06
CVE Names:         CVE-2018-19198 CVE-2018-19199 
=====================================================================

1. Summary:

An update for uriparser is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Client Optional (v. 7) - x86_64
Red Hat Enterprise Linux ComputeNode Optional (v. 7) - x86_64
Red Hat Enterprise Linux Server Optional (v. 7) - ppc64, ppc64le, s390x, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 7) - x86_64

3. Description:

Uriparser is a URI parsing library, which is written in C and strictly
complies with RFC 3986. 

Security Fix(es):

* uriparser: Out-of-bounds write via uriComposeQuery* or uriComposeQueryEx*
function (CVE-2018-19198)

* uriparser: Integer overflow via uriComposeQuery* or uriComposeQueryEx*
function (CVE-2018-19199)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat
Enterprise Linux 7.7 Release Notes linked from the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

1651946 - CVE-2018-19198 uriparser: Out-of-bounds write via uriComposeQuery* or uriComposeQueryEx* function
1651948 - CVE-2018-19199 uriparser: Integer overflow via uriComposeQuery* or uriComposeQueryEx* function

6. Package List:

Red Hat Enterprise Linux Client Optional (v. 7):

Source:
uriparser-0.7.5-10.el7.src.rpm

x86_64:
uriparser-0.7.5-10.el7.i686.rpm
uriparser-0.7.5-10.el7.x86_64.rpm
uriparser-debuginfo-0.7.5-10.el7.i686.rpm
uriparser-debuginfo-0.7.5-10.el7.x86_64.rpm
uriparser-devel-0.7.5-10.el7.i686.rpm
uriparser-devel-0.7.5-10.el7.x86_64.rpm

Red Hat Enterprise Linux ComputeNode Optional (v. 7):

Source:
uriparser-0.7.5-10.el7.src.rpm

x86_64:
uriparser-0.7.5-10.el7.i686.rpm
uriparser-0.7.5-10.el7.x86_64.rpm
uriparser-debuginfo-0.7.5-10.el7.i686.rpm
uriparser-debuginfo-0.7.5-10.el7.x86_64.rpm
uriparser-devel-0.7.5-10.el7.i686.rpm
uriparser-devel-0.7.5-10.el7.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 7):

Source:
uriparser-0.7.5-10.el7.src.rpm

ppc64:
uriparser-0.7.5-10.el7.ppc.rpm
uriparser-0.7.5-10.el7.ppc64.rpm
uriparser-debuginfo-0.7.5-10.el7.ppc.rpm
uriparser-debuginfo-0.7.5-10.el7.ppc64.rpm
uriparser-devel-0.7.5-10.el7.ppc.rpm
uriparser-devel-0.7.5-10.el7.ppc64.rpm

ppc64le:
uriparser-0.7.5-10.el7.ppc64le.rpm
uriparser-debuginfo-0.7.5-10.el7.ppc64le.rpm
uriparser-devel-0.7.5-10.el7.ppc64le.rpm

s390x:
uriparser-0.7.5-10.el7.s390.rpm
uriparser-0.7.5-10.el7.s390x.rpm
uriparser-debuginfo-0.7.5-10.el7.s390.rpm
uriparser-debuginfo-0.7.5-10.el7.s390x.rpm
uriparser-devel-0.7.5-10.el7.s390.rpm
uriparser-devel-0.7.5-10.el7.s390x.rpm

x86_64:
uriparser-0.7.5-10.el7.i686.rpm
uriparser-0.7.5-10.el7.x86_64.rpm
uriparser-debuginfo-0.7.5-10.el7.i686.rpm
uriparser-debuginfo-0.7.5-10.el7.x86_64.rpm
uriparser-devel-0.7.5-10.el7.i686.rpm
uriparser-devel-0.7.5-10.el7.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 7):

Source:
uriparser-0.7.5-10.el7.src.rpm

x86_64:
uriparser-0.7.5-10.el7.i686.rpm
uriparser-0.7.5-10.el7.x86_64.rpm
uriparser-debuginfo-0.7.5-10.el7.i686.rpm
uriparser-debuginfo-0.7.5-10.el7.x86_64.rpm
uriparser-devel-0.7.5-10.el7.i686.rpm
uriparser-devel-0.7.5-10.el7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2018-19198
https://access.redhat.com/security/cve/CVE-2018-19199
https://access.redhat.com/security/updates/classification/#moderate
https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/7.7_release_notes/index

8. Contact:

The Red Hat security contact is <secalert redhat com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2019 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBXUl3hdzjgjWX9erEAQgxHA//QD91fyXLB/cr00OglBhCkluq5CtmypkQ
+zFq/FoTQ6KDPUyztkcXTWR7sWPt1MNSYcIuuRNZViT6HzKJe0BoXvD91b+SguXK
6+XLh1XymdoPQVrVOflEuTDbhlvkTqEVQa8gLVcCdT7GW/aQbXX5Db6YErXeN5oR
L9ormyjUZXewY+EC+MNENzpEF0cCi0rkql3cAsm1oU9e4hdryqXOCOmSwJYDr2zJ
S0u3MlRgL8wmjURESS/+nSgtwfSUWAHZjv+ydn5pyER+N51f35PcDZGLJOP2PERa
pdTKk1Bp4n3QRRvvNsgexYkdiREvXjJWla3wx2edMuznrXFmHmkgEL1X0lR9BeDM
aWt/BhjIrIf4evrsPsvN7bx8ZcWwFAQkp54QIdghv2JDqxnj5y3Yj1GJmFglp3CE
NC8WGw1Q/iWCTOOWB3CduuR1p2r6WxSJPXLAE7rr+QxvwJMccMV5O11piFTFTeiC
NCjOeUtbWhNtdqNumA8dCrTu8ue1AsKTqql8Z2/E+EWUp3VDBDGe+6kQDinHYIoW
hP+5enWxXJkRP6BCyxaoIOf0IL1pxAA6TEvONi6PCv6Coz+lFFpH+gBv8TwB2xcq
4VRoOSBiUZteSVnC8cdweA229UXlvKV+PhqFiCrquzSEm1v94LoyVf6tbZZLimrn
GHrUcOyukXc=
=Tke5
-----END PGP SIGNATURE-----


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]